| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
cv::gapi::ie::Params< cv::gapi::Generic > Class Reference

`#include <opencv2/gapi/infer/ie.hpp>`

Collaboration diagram for cv::gapi::ie::Params< cv::gapi::Generic >:

## Public Member Functions
| Params (const std::string &tag, const std::string &model, const std::string &device)
| Params (const std::string &tag, const std::string &model, const std::string &weights, const std::string &device)
| Class constructor.
GBackend | backend () const
Params & | cfgBatchSize (const size_t size)
Params & | cfgInferMode (InferMode mode)
Params & | cfgInputLayout (detail::AttrMap< std::string > layout_map)
Params & | cfgInputLayout (std::string layout)
Params & | cfgInputReshape (const std::map< std::string, std::vector< std::size_t > > &reshape_table)
Params & | cfgInputReshape (const std::string &layer_name, const std::vector< size_t > &layer_dims)
Params & | cfgInputReshape (const std::unordered_set< std::string > &layer_names)
Params & | cfgInputReshape (std::map< std::string, std::vector< std::size_t > > &&reshape_table)
Params & | cfgInputReshape (std::string &&layer_name, std::vector< size_t > &&layer_dims)
Params & | cfgInputReshape (std::unordered_set< std::string > &&layer_names)
Params & | cfgNumRequests (size_t nireq)
Params & | cfgOutputLayout (detail::AttrMap< std::string > layout_map)
Params & | cfgOutputLayout (std::string layout)
Params & | cfgOutputPrecision (detail::ParamDesc::PrecisionMapT precision_map)
Params & | cfgOutputPrecision (detail::ParamDesc::PrecisionT precision)
Params & | cfgResize (detail::AttrMap< int > interpolation)
Params & | cfgResize (int interpolation)
Params & | constInput (const std::string &layer_name, const cv::Mat &data, TraitAs hint=TraitAs::TENSOR)
cv::util::any | params () const
Params & | pluginConfig (const IEConfig &cfg)
Params & | pluginConfig (IEConfig &&cfg)
std::string | tag () const

## Protected Attributes
detail::ParamDesc | desc
std::string | m_tag

## Constructor & Destructor Documentation

## ◆ Params() [1/2]

cv::gapi::ie::Params< cv::gapi::Generic >::Params | ( | const std::string & | tag,
|  | const std::string & | model,
|  | const std::string & | weights,
|  | const std::string & | device )
| inline

Class constructor.

Constructs Params based on model information and sets default values for other inference description parameters. Model is loaded and compiled using OpenVINO Toolkit.

Parameters

  tag | string tag of the network for which these parameters are intended.
  model | path to topology IR (.xml file).
  weights | path to weights (.bin file).
  device | target device to use.

## ◆ Params() [2/2]

cv::gapi::ie::Params< cv::gapi::Generic >::Params | ( | const std::string & | tag,
|  | const std::string & | model,
|  | const std::string & | device )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

This constructor for pre-compiled networks. Model is imported from pre-compiled blob.

Parameters

  tag | string tag of the network for which these parameters are intended.
  model | path to model.
  device | target device to use.

## Member Function Documentation

## ◆ backend()

GBackend cv::gapi::ie::Params< cv::gapi::Generic >::backend | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ cfgBatchSize()

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgBatchSize | ( | const size_t | size | ) |
| inline

See also
  ie::Params::cfgBatchSize

Here is the call graph for this function:

## ◆ cfgInferMode()

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInferMode | ( | InferMode | mode | ) |
| inline

See also
  ie::Params::cfgInferAPI

## ◆ cfgInputLayout() [1/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputLayout | ( | detail::AttrMap< std::string > | layout_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgInputLayout() [2/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputLayout | ( | std::string | layout | ) |
| inline

See also
  ie::Params::cfgInputLayout

## ◆ cfgInputReshape() [1/6]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputReshape | ( | const std::map< std::string, std::vector< std::size_t > > & | reshape_table | ) |
| inline

See also
  ie::Params::cfgInputReshape

## ◆ cfgInputReshape() [2/6]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputReshape | ( | const std::string & | layer_name,
|  | const std::vector< size_t > & | layer_dims )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgInputReshape() [3/6]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputReshape | ( | const std::unordered_set< std::string > & | layer_names | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgInputReshape() [4/6]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputReshape | ( | std::map< std::string, std::vector< std::size_t > > && | reshape_table | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgInputReshape() [5/6]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputReshape | ( | std::string && | layer_name,
|  | std::vector< size_t > && | layer_dims )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgInputReshape() [6/6]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgInputReshape | ( | std::unordered_set< std::string > && | layer_names | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgNumRequests()

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgNumRequests | ( | size_t | nireq | ) |
| inline

See also
  ie::Params::cfgNumRequests.

## ◆ cfgOutputLayout() [1/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgOutputLayout | ( | detail::AttrMap< std::string > | layout_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgOutputLayout() [2/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgOutputLayout | ( | std::string | layout | ) |
| inline

See also
  ie::Params::cfgOutputLayout

## ◆ cfgOutputPrecision() [1/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgOutputPrecision | ( | detail::ParamDesc::PrecisionMapT | precision_map | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgOutputPrecision() [2/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgOutputPrecision | ( | detail::ParamDesc::PrecisionT | precision | ) |
| inline

See also
  ie::Params::cfgOutputPrecision

## ◆ cfgResize() [1/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgResize | ( | detail::AttrMap< int > | interpolation | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ cfgResize() [2/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::cfgResize | ( | int | interpolation | ) |
| inline

See also
  ie::Params::cfgResize

## ◆ constInput()

Params & cv::gapi::ie::Params< cv::gapi::Generic >::constInput | ( | const std::string & | layer_name,
|  | const cv::Mat & | data,
|  | TraitAs | hint = TraitAs::TENSOR )
| inline

See also
  ie::Params::constInput.

## ◆ params()

cv::util::any cv::gapi::ie::Params< cv::gapi::Generic >::params | ( |  | ) | const
| inline

## ◆ pluginConfig() [1/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::pluginConfig | ( | const IEConfig & | cfg | ) |
| inline

See also
  ie::Params::pluginConfig.

## ◆ pluginConfig() [2/2]

Params & cv::gapi::ie::Params< cv::gapi::Generic >::pluginConfig | ( | IEConfig && | cfg | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ tag()

std::string cv::gapi::ie::Params< cv::gapi::Generic >::tag | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ desc

detail::ParamDesc cv::gapi::ie::Params< cv::gapi::Generic >::desc
| protected

## ◆ m_tag

std::string cv::gapi::ie::Params< cv::gapi::Generic >::m_tag
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/ie.hpp